Subject: bug#30569: closed (Re: bug#30569: Packages count as installed twice)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Mar 2018 13:02:03 +0000

Your bug report

#30569: Profile can contain the exact same entry several times

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30569: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30569
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30569: Packages count as installed twice
From: [email-masked] (Ludovic Courtès)
To: Ricardo Wurmus <[email-masked]>
Cc: Andreas Enge <[email-masked]>, [email-masked]
Date: Thu, 01 Mar 2018 14:01:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> skribis:

> Andreas Enge <[email-masked]> writes:
>
>> On Tue, Feb 27, 2018 at 10:55:05PM +0100, Ludovic Courtès wrote:
>>> What should we do?  Status quo?  Throwing a ‘delete-duplicates’ call?
>>> Let’s have a poll!  ;-)
>>
>> The thing is confusing, and delete-duplicates should be essentially for free,
>> so I would support to call it. (Well, I filed the bug since I consider this
>> behaviour to be a bug, no big surprise then!)
>
> I agree.  I don’t see a reason to allow for the same package to appear
> more than once in the manifest.

Alright, fixed in 435603a1d6106b535cf143d17cb030b2d0795b54, thanks!

Ludo’.

Subject: Packages count as installed twice
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Wed, 21 Feb 2018 20:05:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

trying to upgrade my packages, I notice something curious:

$ ./pre-inst-env guix package -n -u
The following packages would be upgraded:
...
   gnutls	3.5.13 -> 3.5.13	/gnu/store/1ah3fd12w6v66q6yjdmd39xbisqi0gpw-gnutls-3.5.13
   gnutls	3.5.13 -> 3.5.13	/gnu/store/1ah3fd12w6v66q6yjdmd39xbisqi0gpw-gnutls-3.5.13
...

There is twice the exactly same package!

$ ./pre-inst-env guix package -I gnutls
gnutls	3.5.13	out	/gnu/store/g09is0bw144d8zrd059fiarqmjq7vr8a-gnutls-3.5.13
gnutls	3.5.13	out	/gnu/store/g09is0bw144d8zrd059fiarqmjq7vr8a-gnutls-3.5.13

This looks like a bug to me...

Andreas